Subject: bug#4198: 23.1.50; There should be a way to set variable-pitch-mode that is safe for file-local variables block

From: James Cloos <[email-masked]>
Date: Sat, 22 Aug 2009 05:09:54 -0400

>>>>> "Stefan" == Stefan Monnier <[email-masked]> writes:

>> The only way I could find to automatically use variable-pitch-mode
>> for a given file is to use:

>> -*- eval: (variable-pitch-mode); -*-

Stefan> Why not

Stefan> -*- mode: variable-pitch -*-

It seems like I must have tested that and dismissed it for some reason
back when I first added the eval.  I did not think to try that again
before reporting, though.

That said, it is still not usable; with it, the major mode is always
fundamental, not what the filename or contents would otherwise set.

Is there a way I missed to enable a minor mode w/o affecting the
selection of the major mode or other minor modes?

-JimC
-- 
James Cloos <[email-masked]>         OpenPGP: 1024D/ED7DAEA6